# $Revision: 1.39 $, $Date: 2001/02/27 05:18:08 $
#
# bcond_off_glide: without GLIDE
#
# bcond_on_dri: add GLX/DRI support (taken from rawhide)
# (does it make any sense? we have XFree86-OpenGL-* packages...)
#
Summary:	Free OpenGL implementation
Summary(pl):	Bezpatna implementacja standardu OpenGL
Name:		Mesa
Version:	3.4.1
Release:	1
License:	GPL
Group:		X11/Libraries
Group(de):	X11/Libraries
Group(es):	X11/Bibliotecas
Group(pl):	X11/Biblioteki
Source0:	ftp://download.sourceforge.net/pub/sourceforge/mesa3d/%{name}Lib-%{version}.tar.bz2
Source1:	ftp://download.sourceforge.net/pub/sourceforge/mesa3d/%{name}Demos-%{version}.tar.bz2
%{?bcond_on_dri:Source2:	XFree86-4.0.2-GLonly.tar.gz}
Patch0:		%{name}-paths.patch
Patch1:		%{name}-badlibtool.patch
Patch2:		%{name}-glibc-2.2.patch
Patch3:		%{name}-am.patch
%{?bcond_on_dri:Patch4:		%{name}-XF86DRI-4.0.2.patch}
#Patch5:	%{name}-3.3-glXcontext.patch
URL:		http://www.mesa3d.org/
BuildRequires:	XFree86-devel
%{!?bcond_off_glide:BuildRequires:	Glide_V3-DRI-devel}
BuildRequires:	perl
BuildRequires:	autoconf
BuildRequires:	automake
Provides:	OpenGL
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
Mesa is a 3-D graphics library with an API which is very similar to
that of OpenGL*. To the extent that Mesa utilizes the OpenGL command
syntax or state machine, it is being used with authorization from
Silicon Graphics, Inc. However, the author makes no claim that Mesa is
in any way a compatible replacement for OpenGL or associated with
Silicon Graphics, Inc. Those who want a licensed implementation of
OpenGL should contact a licensed vendor. This software is distributed
under the terms of the GNU Library General Public License, see the
LICENSE file for details.

- OpenGL(R) is a registered trademark of Silicon Graphics, Inc.

%description -l pl
Mesa jest bibliotek 3D bdc darmowym odpowiednikiem standardu
OpenGL(*).

- OpenGL jest zastrzeonym znakiem towarowym firmy Silicon Graphics,
  Inc.

%package devel
Summary:	Development environment for Mesa
Summary(pl):	rodowisko programistyczne biblioteki Mesa
Group:		Development/Libraries
Group(de):	Entwicklung/Libraries
Group(fr):	Development/Librairies
Group(pl):	Programowanie/Biblioteki
Requires:	%{name} = %{version}
Provides:	OpenGL-devel

%description devel
Header files and documentation needed for development.

%description -l pl devel
Pliki nagwkowe i dokumentacja do Mesy.

%package static
Summary:	Mesa static libraries
Summary(pl):	Biblioteki statyczne Mesy
Group:		Development/Libraries
Group(de):	Entwicklung/Libraries
Group(fr):	Development/Librairies
Group(pl):	Programowanie/Biblioteki
Requires:	%{name}-devel = %{version}
Provides:	OpenGL-static

%description static
The static version of the Mesa libraries.

%description -l pl static
Biblioteki statyczne Mesy.

%package demos
Summary:	Mesa Demos
Summary(pl):	Demonstracje moliwoci biblioteki MESA
Group:		Development/Libraries
Group(de):	Entwicklung/Libraries
Group(fr):	Development/Librairies
Group(pl):	Programowanie/Biblioteki
Requires:	%{name} = %{version}

%description demos
Demonstration programs for the Mesa libraries.

%description -l pl demos
Programy demonstracyjne dla biblioteki Mesa.

%prep
%setup -q -n Mesa-%{version} -b 1

%if %{?bcond_on_dri:1}%{!?bcond_on_dri:0}
	mkdir -p src/DRI/GL
	tar xzf %{SOURCE2}
	ln -f `find xc -type f` src/DRI
	mv -f src/DRI/glxmd.h src/DRI/GL/glxmd.h
%endif

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%{?bcond_on_dri:%patch4 -p1}
#%patch5 -p1
# fix demos
perl -pi -e "s,\.\./images/,%{_examplesdir}/Mesa/images/,g" demos/*

%build
aclocal -I .
autoheader
automake -a -c
autoconf
%configure \
	--enable-static \
	--enable-shared \
	--with-ggi="no" \
	--with-svga="no" \
	--disable-ggi-fbdev \
	--disable-ggi-genkgi \
	--enable-optimize \
	%{?bcond_off_glide:--without-glide} \
%ifarch %{ix86} \
	--enable-x86 \
  %ifarch i586 i686 \
	--enable-mmx \
	--enable-3dnow \
    %ifarch i686 \
	--enable-katmai \
    %else \
	--disable-katmai \
    %endif \
  %else \
    %ifarch k6 \
	--enable-mmx \
	--enable-3dnow \
    %else \
	--disable-mmx \
	--disable-3dnow \
    %endif \
  %endif \
%else \
	--disable-x86 \
	--disable-mmx \
	--disable-3dnow
%endif

%{__make}
	
(cd widgets-mesa
%configure
%{__make}
)

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_mandir}/man3

(cd widgets-mesa; \
%{__make} install \
	prefix=$RPM_BUILD_ROOT%{_prefix} \
	mandir=$RPM_BUILD_ROOT%{_mandir}/man3)

install -d $RPM_BUILD_ROOT/usr/src/examples/Mesa
for l in book demos samples xdemos images ; do
	cp -Rf $l $RPM_BUILD_ROOT%{_examplesdir}/Mesa/$l
done

gzip -9nf docs/*

# resolve conflict with XFree86-devel
rm -f $RPM_BUILD_ROOT%{_mandir}/man3/GLwCreateMDrawingArea.*
rm -f $RPM_BUILD_ROOT%{_mandir}/man3/GLwDrawingArea{,MakeCurrent,SwapBuffers}.*

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc docs/CONFIG.gz
%attr(755,root,root) %{_libdir}/libGL*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc docs/{IAFA-PACKAGE,README,RELNOTES-*,VERSIONS,CONFORM,COPYRIGHT,DEVINFO,*.spec}.gz
%doc docs/README.{3DFX,GGI,MITS,QUAKE,X11,THREADS}.gz
%attr(755,root,root) %{_libdir}/libGL*.so

%dir %{_includedir}/GL
%{_includedir}/GL/GLwDrawA.h
%{_includedir}/GL/GLwDrawAP.h
%{_includedir}/GL/GLwMDrawA.h
%{_includedir}/GL/GLwMDrawAP.h
%{_includedir}/GL/MesaDrawingArea.h
%{_includedir}/GL/MesaDrawingAreaP.h
%{_includedir}/GL/MesaMDrawingArea.h
%{_includedir}/GL/MesaMDrawingAreaP.h
%{_includedir}/GL/MesaWorkstation.h
%{_includedir}/GL/MesaWorkstationP.h
%{_includedir}/GL/gl.h
%{_includedir}/GL/glext.h
%{_includedir}/GL/gl_mangle.h
%{_includedir}/GL/glu.h
%{_includedir}/GL/glu_mangle.h
%{_includedir}/GL/glx.h
%{_includedir}/GL/glx_mangle.h
%{_includedir}/GL/osmesa.h
%{_includedir}/GL/xmesa.h
%{_includedir}/GL/xmesa_x.h
%{_includedir}/GL/xmesa_xf86.h
%{_mandir}/man3/*

%files static
%defattr(644,root,root,755)
%{_libdir}/libGL*.a

%files demos
%defattr(644,root,root,755)
%dir /usr/src/examples/Mesa/book
%dir /usr/src/examples/Mesa/demos
%dir /usr/src/examples/Mesa/samples
%dir /usr/src/examples/Mesa/xdemos

%doc /usr/src/examples/Mesa/book/*
%doc /usr/src/examples/Mesa/demos/*
%doc /usr/src/examples/Mesa/samples/*
%doc /usr/src/examples/Mesa/xdemos/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: Mesa.spec,v $
Revision 1.39  2001/02/27 05:18:08  kloczek
- cosmetics.

Revision 1.38  2001/02/26 22:24:10  qboosh
- updated to 3.4.1, updated Source URLs
- conditional GLX/DRI support from rawhide
(Mesa is needed to use GL functions with video cards not supported by
 XFree 4.0 - OpenGL from XFree 4.0 won't work without GLX)

Revision 1.37  2000/11/12 20:11:54  kloczek
- modyfications for using neew rpm automation.

Revision 1.36  2000/06/26 17:24:19  baggins
- fixed typos

Revision 1.35  2000/06/09 07:54:38  kloczek
- more %%{__make} macros.

Revision 1.34  2000/06/09 07:22:45  kloczek
- added using %%{__make} macro.

Revision 1.33  2000/06/07 11:52:02  zagrodzki
- fixed prefix and mandir... :>

Revision 1.32  2000/06/07 11:50:46  zagrodzki
- glut.h should be excluded from Mesa (it comes with glut-devel)

Revision 1.31  2000/05/20 20:38:44  kloczek
- release 3 (for allow upgrade from RH 6.2).

Revision 1.30  2000/05/20 13:01:19  kloczek
- release 2,
- fix typos for correct building on sparc.

Revision 1.29  2000/05/17 00:36:13  kloczek
- spec adapterized.

Revision 1.28  2000/05/01 09:02:27  jajcus
- Mesa-libname patch removed (nod needed any more)
- the spec is working now

Revision 1.27  2000/04/26 15:27:42  wiget
3.2 - NFY

Revision 1.26  2000/04/21 12:38:53  jajcus
- spec rewritten to use autoconf
- %%{_libdir}/Mesa and it contents removed (does anything need this)?

Revision 1.25  2000/04/19 18:42:14  kloczek
- release 2,
- removed glut packages (now builded from separated tar ball),
- added "Provides: OpenGL*" for each Mesa subpackage for allow slighter move
  to XFree86 4.0 in future.

Revision 1.24  2000/04/01 11:14:21  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.23  2000/03/28 16:54:14  baggins
- translated kloczkish into english

Revision 1.22  2000/01/19 05:06:51  kloczek
- updated Source url,
- adapter(ized).

Revision 1.21  2000/01/18 19:25:36  baggins
s/libMesa/lib/

Revision 1.20  2000/01/18 19:21:20  baggins
- fixed %doc

Revision 1.19  2000/01/18 18:37:29  baggins
- updated to 3.1

Revision 1.18  1999/09/08 21:22:34  kloczek
- release 9,
- fix: move man pages to proper place (compliant with FHS 2.0),
- added using %configure macro.

Revision 1.17  1999/07/20 12:48:05  wiget
- switch to rpm 3.0.2

Revision 1.16  1999/07/12 23:06:10  kloczek
- added using CVS keywords in %changelog (for automating them).

* Thu May 27 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [3.0-8]
- based on spec from RH contrib,
- spec rewrited by PLD team,
- pl translation by Wojciech "Sas" Cieciwa <cieciwa@alpha.zarz.agh.edu.pl>.
